Page MenuHomePhabricator

nodemap: add a (python) index class for persistent nodemap testing
ClosedPublic

Authored by marmoute on Jan 13 2020, 10:06 AM.

Details

Summary

Using the persistent nodemap require a compeling performance boost and an
existing implementation. The benefit of the persistent nodemap for pure python
code is unclear and we don't have a C implementation for it. Yet we would like
to actually start testing it in more details and define an API for using that
persistent nodemap.

We introduce a new devel config option to use an index class dedicated to
Nodemap Testing. This feature is "pure" only because having using a pure-python
index with the cext policy proved more difficult than I would like.

There is nothing going on in that class for now, but the coming changeset will
change that.

Diff Detail

Repository
rHG Mercurial
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.

Event Timeline

marmoute created this revision.Jan 13 2020, 10:06 AM
marmoute updated this revision to Diff 19186.Jan 13 2020, 1:05 PM
marmoute updated this revision to Diff 19428.Jan 17 2020, 1:06 PM
marmoute updated this revision to Diff 19756.Jan 31 2020, 10:28 AM
marmoute updated this revision to Diff 19888.Feb 4 2020, 7:24 PM

rebase to latest default

marmoute updated this revision to Diff 20017.Feb 7 2020, 5:28 PM
This revision was not accepted when it landed; it landed in state Needs Review.
This revision was automatically updated to reflect the committed changes.